<?php

namespace App\Tests\Service\Mailer\Event;

use App\Entity\Account;
use App\Service\Mailer\Event\CreatedAdminEvent;
use PHPUnit\Framework\TestCase;

class CreatedAdminEventTest extends TestCase
{
    public function testGetters(): void
    {
        $account = new Account();
        $password = 'secret123';

        $event = new CreatedAdminEvent($account, $password);

        $this->assertSame($account, $event->getAccount());
        $this->assertSame($password, $event->getPassword());
    }
}
